Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.sw
Class Type_Root

    java.lang.Object
      rdlc.naming.Catalog<java.lang.String,V>
          rdlc.naming.HierarchicalCatalog<Field>
              rdlc.rdl.Instance
                  rdlc.sw.Type_Root

All Implemented Interfaces:
  Expression, Field, Type

Direct Known Subclasses:
  Type_Argument, Type_Reference

    public abstract class Type_Root

extends Instance
implements Type

Abstract class for reference and argument types both of which can have actual type parameters (template parameters) and therefor must inherit from `Instance` so that they can store the parameters as fields.

Version:
  $Revision: 1.11 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from class rdlc.rdl.Instance
`Instance.Accessor, Instance.Identifier, Instance.LateBindField, Instance.QualifiedIdentifier`

Nested classes/interfaces inherited from class rdlc.naming.HierarchicalCatalog
`HierarchicalCatalog.DefaultAccessor<_V>`

Nested classes/interfaces inherited from interface rdlc.sw.Type
`Type.Default`

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Field Summary
`protected int` | `arrayBound` The array bound on this type.
`protected boolean` | `xconstant` Is this a constant type? (as in C++, final in Java)
`protected boolean` | `xstatic` Is this a static type? (as in Java and C++)

Fields inherited from class rdlc.rdl.Instance
`bound, copied, copySource, dynRoot, lateBindFieldList, namespace, resolved`

Fields inherited from class rdlc.naming.HierarchicalCatalog
`cachedIdentifier, cachedRoot, name, parent`

Fields inherited from class rdlc.naming.Catalog
`entryList, indexTable`

Fields inherited from interface rdlc.sw.Type
`ARRAY_INFINITE, ARRAY_SINGLETON`

Constructor Summary
`Type_Root(java.lang.String _name, Instance _instance, int _arrayBound, boolean _static, boolean _constant)` Simple constructor, merely stores the given arguments.
`Type_Root(java.lang.String _name, Instance _instance, Type_Root _other)` Copy construcor.

Method Summary
`int` | `getArrayBound()` Simple accessor.
`boolean` | `isConstant()` Simple accessor.
`boolean` | `isStatic()` Simple accessor.

Methods inherited from class rdlc.rdl.Instance
`add, add, bindFields, copySubInstance, createIdentifier, getDynRoot, getRequirements, resolve, setInstance, setNamespace, setRawDynamicID, toString, typeMatch`

Methods inherited from class rdlc.naming.HierarchicalCatalog
`connectParent, getIdentifier, getName, getParent, getRoot, hashCode`

Methods inherited from class rdlc.naming.Catalog
`clear, containsKey, entryList, get, get, getKey, isEmpty, keySet, put, put, putAll, remove, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rdlc.sw.Type
`getDefault`

Methods inherited from interface rdlc.rdl.Field
`copy, getIdentifier, setInstance, setRawDynamicID`

Methods inherited from interface rdlc.rdl.Expression
`getRequirements, resolve, setNamespace, typeMatch`

Field Detail

### arrayBound

    protected int arrayBound

  The array bound on this type.

### xstatic

    protected boolean xstatic

  Is this a static type? (as in Java and C++)

### xconstant

    protected boolean xconstant

  Is this a constant type? (as in C++, final in Java)

Constructor Detail

### Type_Root

    public Type_Root(java.lang.String _name,
                     Instance _instance,
                     int _arrayBound,
                     boolean _static,
                     boolean _constant)

  Simple constructor, merely stores the given arguments.

  Parameters:
    `_name` - The name of this type, not often used.
    `_instance` - The instance to add this type to.
    `_arrayBound` - The array bound on this type.
    `_static` - Is this a static type?
    `_constant` - Is this a constant type?

### Type_Root

    public Type_Root(java.lang.String _name,
                     Instance _instance,
                     Type_Root _other)

  Copy construcor.

  Parameters:
    `_name` - The name of this type, not often used.
    `_instance` - The instance to add this type to.
    `_other` - The type to copy.

Method Detail

### getArrayBound

    public int getArrayBound()

  Description copied from interface: `Type`
  Simple accessor.

  Specified by:
    `getArrayBound` in interface `Type`
  Returns:
    The array bound on this variable (special values include infinite and singleton).
  See Also:
    `Type.getArrayBound()`

### isStatic

    public boolean isStatic()

  Description copied from interface: `Type`
  Simple accessor.

  Specified by:
    `isStatic` in interface `Type`
  Returns:
    Is this a static type? (as in Java and C++)
  See Also:
    `Type.isStatic()`

### isConstant

    public boolean isConstant()

  Description copied from interface: `Type`
  Simple accessor.

  Specified by:
    `isConstant` in interface `Type`
  Returns:
    Is this a constant type? (as in C++, final in Java)
  See Also:
    `Type.isConstant()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD